# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "twips-cli"
version = "0.11.0-pre1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Twizzle Pattern Searcher CLI"
readme = false
license = "MPL-2.0"
repository = "https://github.com/cubing/twips"

[package.metadata.binstall]
pkg-url = "{ repo }/releases/download/v{ version }/{ name }.v{ version }.{ target }"
pkg-fmt = "bin"

[features]
default = []

[[bin]]
name = "twips"
path = "src/main.rs"

[dependencies.axum]
version = "0.8.6"

[dependencies.cubing]
version = "0.15.0-pre.1"

[dependencies.instant]
version = "0.1.13"

[dependencies.rand]
version = "0.9.2"

[dependencies.serde]
version = "1.0.228"

[dependencies.tokio]
version = "1.48.0"
features = [
    "macros",
    "rt-multi-thread",
]

[dependencies.tower-http]
version = "0.6.6"
features = ["cors"]

[dependencies.twips]
version = "0.11.0-pre1"
